Bug 1373782 - Review Request: mingw-cmocka - MinGW Lightweight library to simplify and generalize unit tests for C
Summary: Review Request: mingw-cmocka - MinGW Lightweight library to simplify and gene...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-07 06:53 UTC by Nikos Mavrogiannopoulos
Modified: 2016-10-21 15:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-10 17:45:27 UTC
Type: ---
Embargoed:
jhrozek: fedora-review+


Attachments (Terms of Use)

Description Nikos Mavrogiannopoulos 2016-09-07 06:53:53 UTC
Spec URL: http://people.redhat.com/nmavrogi/fedora/mingw-cmocka.spec
SRPM URL: http://people.redhat.com/nmavrogi/fedora/mingw-cmocka-1.0.1-1.fc24.src.rpm
Description: Lightweight library to simplify and generalize unit tests for C.
This library is cross-compiled for MinGW.
Fedora Account System Username: nmav

Comment 1 Jakub Hrozek 2016-09-28 09:28:03 UTC
I have some questions and comments:
1) we released cmocka 1.1 last week. I think this version should be packaged.
2) could you report the issue with LargestIntegralType upstream?
3) The same for the pkg-config file, it would be nicer to have no workarounds in Fedora (although I wouldn't block the review over this)
4) maybe this is me not understanding the mingw packaging well (this is the first mingw package I am reviewing..) but is it expected there is no -devel package? I haven't found any notice about that in https://fedoraproject.org/wiki/Packaging:MinGW?rd=Packaging/MinGW
5) A similar question about a -static package which we have in the native packaging scheme
6) The fedora-review tool suggests there are some unowned reviews:
Note: Directories without known owners: /usr/x86_64-w64-mingw32/sys-
     root/mingw/include/cmockery, /usr/x86_64-w64-mingw32/sys-
     root/mingw/lib/cmake/cmocka, /usr/i686-w64-mingw32/sys-
     root/mingw/include/cmockery, /usr/i686-w64-mingw32/sys-
     root/mingw/lib/cmake/cmocka

The rest looks good to me.

Comment 2 Nikos Mavrogiannopoulos 2016-09-29 08:28:34 UTC
Updated to handle 1,6:

Spec URL: http://people.redhat.com/nmavrogi/fedora/mingw-cmocka.spec
SRPM URL: http://people.redhat.com/nmavrogi/fedora/mingw-cmocka-1.1.0-1.fc24.src.rpm

For (2), email was sent [0]. For (4), I used mingw-libidn, mingw-gnutls as basis, since I also didn't have much mingw experience. It seems that the mingw- packages are devel packages intended to be used for developing for windows in fedora (as opposed to only running apps). That seems to be an unwritten rule, as I also couldn't find any info about it. Not sure what you mean about (5).

Comment 3 Jakub Hrozek 2016-09-29 08:37:52 UTC
(In reply to Nikos Mavrogiannopoulos from comment #2)
> Not sure what you mean about (5).

Sorry, yes, that was unclear :)

In Fedora, we have a separate library that contains the statically-built libcmocka version:

$ dnf info libcmocka-static
Warning: failed loading '/etc/yum.repos.d/fedora-spotify.repo', skipping.
Failed to synchronize cache for repo 'mkosek-freeipa-master', disabling.
Last metadata expiration check: 23:18:00 ago on Wed Sep 28 11:17:58 2016.
Available Packages
Name        : libcmocka-static
Arch        : i686
Epoch       : 0
Version     : 1.0.1
Release     : 3.fc24
Size        : 25 k
Repo        : fedora
Summary     : Lightweight library to simplify and generalize unit tests for C
URL         : http://cmocka.org
License     : ASL 2.0
Description : Static version of the cmocka library.

I was wondering if the mingw packaging should do the same, because the fedora-review tool was complaining about a static library in a package that doesn't end with -static. But I don't know what is the right mingw packaging..

Comment 4 Nikos Mavrogiannopoulos 2016-09-29 08:47:14 UTC
(In reply to Jakub Hrozek from comment #3)
> (In reply to Nikos Mavrogiannopoulos from comment #2)
> > Not sure what you mean about (5).
> 
> Sorry, yes, that was unclear :)
> 
> In Fedora, we have a separate library that contains the statically-built
> libcmocka version:

I did not need the static libraries, that's why I didn't add them. I've updated the spec to generate them.

> I was wondering if the mingw packaging should do the same, because the
> fedora-review tool was complaining about a static library in a package that
> doesn't end with -static. But I don't know what is the right mingw
> packaging..

Note that .dll.a is used for linking and is not a static library (I didn't see the fedora review message, but I guess it is referring on them).

Comment 5 Jakub Hrozek 2016-09-29 12:00:53 UTC
Thank you, there seems to be another issue fedora-review found:
  Note: warning: File listed twice: /usr/i686-w64-mingw32/sys-
  root/mingw/lib/cmake/cmocka/cmocka-config-version.cmake

Comment 6 Nikos Mavrogiannopoulos 2016-09-30 08:12:47 UTC
I've updated (overwritten) packages to address that.

Comment 7 Jakub Hrozek 2016-09-30 09:34:39 UTC
Thank you, the package now looks good to me and fedora-review doesn't complain anymore (well, it does, but I think the complains are now coming from not understanding mingw packages). The package also builds in mock.

I haven't tried the functionality to be honest, but I trust you did :)

So I'm approving the package.

Comment 8 Gwyn Ciesla 2016-09-30 12:56:03 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/mingw-cmocka

Comment 9 Fedora Update System 2016-10-03 14:23:21 UTC
mingw-cmocka-1.1.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-571867e1b9

Comment 10 Fedora Update System 2016-10-03 23:22:15 UTC
mingw-cmocka-1.1.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e9785a9311

Comment 11 Fedora Update System 2016-10-04 13:19:10 UTC
mingw-cmocka-1.1.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8e0d13ce58

Comment 12 Fedora Update System 2016-10-10 17:45:27 UTC
mingw-cmocka-1.1.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-10-11 19:54:54 UTC
mingw-cmocka-1.1.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-10-21 15:51:17 UTC
mingw-cmocka-1.1.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.